#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAF,0x0E,0x28,0x46,0xF0,0xDD,0xF1,0xD9,0x48,0xF8,0xDE,0xED,
		0xA1,0x9A,0x32,0x5E,0x34,0xB1,0x72,0x8B,0xB6,0xBD,0xDE,0xB5,
		0x08,0x95,0xA9,0xA4,0xAC,0x30,0x40,0x2C,0xB0,0xDB,0xD8,0xFC,
		0x55,0x2F,0x1A,0x42,0x72,0x5A,0x39,0x3D,0xBC,0x24,0xB2,0x87,
		0xE8,0x6A,0x82,0x13,0x06,0x21,0xF2,0xBE,0x90,0x75,0x86,0x37,
		0x4C,0xBE,0xBA,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
